package cn.com.infosec.asn1.pkcs;

import cn.com.infosec.asn1.ASN1Encodable;
import cn.com.infosec.asn1.ASN1EncodableVector;
import cn.com.infosec.asn1.ASN1Sequence;
import cn.com.infosec.asn1.DERObject;
import cn.com.infosec.asn1.DERObjectIdentifier;
import cn.com.infosec.asn1.DERSequence;
import cn.com.infosec.asn1.DERTaggedObject;

public class CertBag extends ASN1Encodable {
   ASN1Sequence seq;
   DERObjectIdentifier certId;
   DERObject certValue;

   public CertBag(ASN1Sequence seq) {
      this.seq = seq;
      this.certId = (DERObjectIdentifier)seq.getObjectAt(0);
      this.certValue = ((DERTaggedObject)seq.getObjectAt(1)).getObject();
   }

   public CertBag(DERObjectIdentifier certId, DERObject certValue) {
      this.certId = certId;
      this.certValue = certValue;
   }

   public DERObjectIdentifier getCertId() {
      return this.certId;
   }

   public DERObject getCertValue() {
      return this.certValue;
   }

   public DERObject toASN1Object() {
      ASN1EncodableVector var1;
      ASN1EncodableVector var10000 = var1 = new ASN1EncodableVector;
      var1.<init>();
      var10000.add(this.certId);
      var10000.add(new DERTaggedObject(0, this.certValue));
      return new DERSequence(var1);
   }
}
